SBOUI(8)

NAME
sboui - ncurses user interface for SlackBuilds.org package managers

SYNOPSIS
sboui [-f, --file FILE]

sboui [-s, --sync]

sboui [-u, --upgrade-all]

sboui [-p, --upgradable]

DESCRIPTION
sboui is a package management tool for SlackBuilds.org (SBo). It features an ncurses user interface that combines the user-friendliness typically found in a GUI with the efficiency, light weight, and portability of a text interface. It can function as a stand-alone package manager or serve as a front-end to sbopkg, sbotools, or custom SBo package managers. Its main features include:

•   Efficient operation with the keyboard, and full mouse support

•   Forward and inverse dependency resolution

•   Automatic rebuilding of inverse dependencies (optional)

•   Blacklisting

•   Storing build options for individual SlackBuild scripts

•   "Tagging" to operate on multiple SlackBuilds

•   Searching the repository by name or by content in READMEs

•   A menu bar, buttons, drop-downs, and other elements typically found in a GUI

•   For desktop users, a system tray notifier for SBo updates (optional) and a .desktop file

Instructions

If the built-in package manager is not going to be used, a package manager such as sbopkg, sbotools, or a custom tool must be installed. sboui also requires a configuration file, /etc/sboui/sboui.conf (the system-wide default) or ~/.sboui.conf (per-user override of the system-wide default). The initial install will provide the former, while upgrades will add /etc/sboui/sboui.conf.new that the user can choose to merge with or replace the original. See sboui.conf(5) for more information about the configuration file. Note also that all options can be changed interactively in the Options window, and doing so will overwrite ~/.sboui.conf.

sboui can be operated most efficiently with the keyboard. See the Help menu for a full list of shortcuts. Full mouse support is also implemented for those who prefer to use the mouse. To switch the active pane, use the Tab key or the Right and Left arrow keys. Use the Up and Down arrow keys, Home, End, PgUp, and PgDn to navigate lists and dialog boxes. When the right (or bottom, if using the vertical layout) list is active, press Enter or double-click to display possible actions for the highlighted software package. The q key quits the program. Please see the Operation section in README.md for more information on typical workflows.

OPTIONS
Command-line options for sboui are as follows:

-f, --file FILE
    Specify a configuration file other than /etc/sboui/sboui.conf or ~/.sboui.conf.

-s, --sync
    Sync (update) the local repository non-interactively.

-u, --upgrade-all
    Open sboui interactively with all upgradable SlackBuilds tagged for upgrade.

-p, --upgradable
    Print the number of upgradable SlackBuilds and the list to stdout.

-h, --help
    Print a summary of command line options to stdout.

-v, --version
    Print version information for sboui to stdout.

EXIT STATUS
The exit status is 0 if the command line options are valid and the configuration file was successfully read. If invalid command line options are specified, the configuration file could not be read, or the configuration file contains errors, the exit status is 1. Other errors that can occur during execution (e.g., a build failure for a package) are indicated to the user but do not affect the exit status.

ENVIRONMENT

PAGER
    Application used to view READMEs. less is used as the default if this environment variable is not set.

VISUAL or EDITOR
    Application to edit files using the Browse files and View/edit notes functions. VISUAL is checked first. If it is unset, EDITOR is used instead. vi is used as the default if neither variable is set.

FILES

/etc/sboui/sboui.conf
    System-wide configuration file for sboui. See sboui.conf(5) for more information about the entries in this file.

~/.sboui.conf
    Per-user override of /etc/sboui/sboui.conf. Note: this file is overwritten when settings are changed in the Options window of the user interface.

/etc/sboui/blacklist
    File used to blacklist packages or SlackBuilds. Installed packages are searched for matches in the app name, version, arch, build, and complete package name against all patterns listed in this file. In addition to installed packages, any SlackBuild matching an entry in the blacklist by name will also be marked. Regex patterns are allowed.

    The blacklist file prevents software from being installed, upgraded, reinstalled, or removed by sboui. These four actions will not be available for blacklisted items. Blacklisted packages will also be excluded from the Upgradable filter and included in the Blacklisted filter.

/etc/sboui/sboui-backend.conf
    Configuration file for the built-in package manager, sboui-backend. See sboui-backend(8) and sboui-backend.conf(5) for more information.

Color theme files
    Files defining colors for different UI elements. System color themes are stored in /usr/share/sboui/themes. Users can also add their own color themes in $HOME/.local/share/sboui/themes. If not present, default color settings will be used. See sboui.conf(5) for more information about changing color settings.

Build options files
    Files containing build options for SlackBuilds. There is one file per SlackBuild, with the naming convention {SlackBuild name}.buildopts. They are stored in /var/lib/sboui/buildopts. These files are automatically created by sboui when build options are set through the user interface and save_buildopts is enabled, but they can also be created manually if desired.

BUGS
Please report bugs to the email address below or on the issue tracker for sboui's project page, https://github.com/montagdude/sboui.

SEE ALSO
sboui.conf(5), sboui-backend(8), sboui-backend.conf(5), sboui-update-notifier(1), ncurses(3X), sbopkg(8), sboinstall(1), less(1), elvis(1)

AUTHORS
Daniel Prosser <dpross1100@msn.com>